com.taosdata.jdbc.common

## Class AutoExpandingBuffer

- java.lang.Object
- - com.taosdata.jdbc.common.AutoExpandingBuffer

    public class AutoExpandingBuffer
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AutoExpandingBuffer(int initialBufferSize, int maxComponents)`

### Method Summary

All Methods Instance Methods Concrete Methods
`io.netty.buffer.CompositeByteBuf` `getBuffer()`
`void` `release()`
`int` `serializeBool(boolean src, boolean isNull)`
`int` `serializeByte(byte src, boolean isNull, byte type)`
`int` `serializeBytes(byte[] src, boolean isNull, int type)`
`int` `serializeDouble(double src, boolean isNull)`
`int` `serializeFloat(float src, boolean isNull)`
`int` `serializeInt(int src, boolean isNull, byte type)`
`int` `serializeLong(long src, boolean isNull, byte type)`
`int` `serializeShort(short src, boolean isNull, byte type)`
`int` `serializeString(String src, boolean isNull, int type)`
`int` `serializeTimeStamp(long src, boolean isNull)`
`void` `stopWrite()`
`void` `writeBytes(byte[] src)`
`void` `writeInt(int src)`
`void` `writeShort(short src)`
`int` `writeString(String src)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AutoExpandingBuffer

    public AutoExpandingBuffer(int initialBufferSize,
                               int maxComponents)

### Method Detail

#### writeBytes

    public void writeBytes(byte[] src)
                    throws SQLException

Throws:
  `SQLException`

#### writeString

    public int writeString(String src)
                    throws SQLException

Throws:
  `SQLException`

#### writeInt

    public void writeInt(int src)
                  throws SQLException

Throws:
  `SQLException`

#### writeShort

    public void writeShort(short src)
                    throws SQLException

Throws:
  `SQLException`

#### serializeLong

    public int serializeLong(long src,
                             boolean isNull,
                             byte type)
                      throws SQLException

Throws:
  `SQLException`

#### serializeTimeStamp

    public int serializeTimeStamp(long src,
                                  boolean isNull)
                           throws SQLException

Throws:
  `SQLException`

#### serializeDouble

    public int serializeDouble(double src,
                               boolean isNull)
                        throws SQLException

Throws:
  `SQLException`

#### serializeBool

    public int serializeBool(boolean src,
                             boolean isNull)
                      throws SQLException

Throws:
  `SQLException`

#### serializeByte

    public int serializeByte(byte src,
                             boolean isNull,
                             byte type)
                      throws SQLException

Throws:
  `SQLException`

#### serializeShort

    public int serializeShort(short src,
                              boolean isNull,
                              byte type)
                       throws SQLException

Throws:
  `SQLException`

#### serializeInt

    public int serializeInt(int src,
                            boolean isNull,
                            byte type)
                     throws SQLException

Throws:
  `SQLException`

#### serializeFloat

    public int serializeFloat(float src,
                              boolean isNull)
                       throws SQLException

Throws:
  `SQLException`

#### serializeBytes

    public int serializeBytes(byte[] src,
                              boolean isNull,
                              int type)
                       throws SQLException

Throws:
  `SQLException`

#### serializeString

    public int serializeString(String src,
                               boolean isNull,
                               int type)
                        throws SQLException

Throws:
  `SQLException`

#### getBuffer

    public io.netty.buffer.CompositeByteBuf getBuffer()

#### release

    public void release()

#### stopWrite

    public void stopWrite()